Bug 970567 - perl-5.18: t/op/coreamp.t sometimes fails
perl-5.18: t/op/coreamp.t sometimes fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
https://rt.perl.org/rt3//Public/Bug/D...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 07:16 EDT by Petr Pisar
Modified: 2013-09-22 19:57 EDT (History)
11 users (show)

See Also:
Fixed In Version: perl-5.18.1-288.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 19:57:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-06-04 07:16:46 EDT
There is a bug in t/op/coreamp.t tests that fails randomly. Fixed with this upstream patch:

commit fba93b250c0d566f7ef26442312286310b2b9b46
Author: Father Chrysostomos <sprout@cpan.org>
Date:   Sun Jun 2 00:36:33 2013 -0700

    [perl #118237] Fix coreamp.t’s rand test
    
    when rand returns something really small that does not
    begin with 0, such as 2.90736361456823e-05.

diff --git a/t/op/coreamp.t b/t/op/coreamp.t
index c1f7181..fe7c741 100644
--- a/t/op/coreamp.t
+++ b/t/op/coreamp.t
@@ -637,7 +637,7 @@ test_proto 'quotemeta', '$', '\$';
 
 test_proto 'rand';
 $tests += 3;
-like &CORE::rand, qr/^0[.\d+-e]*\z/, '&rand';
+like &CORE::rand, qr/^[.\d+-e]*\z/, '&rand';
 unlike join(" ", &CORE::rand), qr/ /, '&rand in list context';
 &cmp_ok(&CORE::rand(78), qw '< 78', '&rand with 1 arg');
Comment 1 Fedora Admin XMLRPC Client 2013-08-12 07:43:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2013-09-11 10:00:10 EDT
perl-5.18.1-288.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-5.18.1-288.fc20
Comment 3 Fedora Update System 2013-09-11 12:56:05 EDT
Package perl-5.18.1-288.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.18.1-288.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16400/perl-5.18.1-288.fc20
then log in and leave karma (feedback).
Comment 4 Fedora End Of Life 2013-09-16 13:07:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora Update System 2013-09-22 19:57:51 EDT
perl-5.18.1-288.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.